Bug 747424 - traceback on connection due to plurals handling
Summary: traceback on connection due to plurals handling
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gajim
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Schmidt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-19 18:53 UTC by Michael S.
Modified: 2012-03-26 17:56 UTC (History)
1 user (show)

Fixed In Version: gajim-0.15-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-26 03:58:50 UTC
Type: ---


Attachments (Terms of Use)

Description Michael S. 2011-10-19 18:53:31 UTC
From time to time ( likely related to muc logs, with very quiet rooms and old discussions ), I see this :

Traceback (most recent call last):
  File "/usr/share/gajim/src/common/xmpp/idlequeue.py", line 533, in _process_events
    return IdleQueue._process_events(self, fd, flags)
  File "/usr/share/gajim/src/common/xmpp/idlequeue.py", line 394, in _process_events
    obj.pollin()
  File "/usr/share/gajim/src/common/xmpp/transports_nb.py", line 414, in pollin
    self._do_receive()
  File "/usr/share/gajim/src/common/xmpp/transports_nb.py", line 600, in _do_receive
    self._on_receive(received)
  File "/usr/share/gajim/src/common/xmpp/transports_nb.py", line 614, in _on_receive
    self.on_receive(data)
  File "/usr/share/gajim/src/common/xmpp/dispatcher_nb.py", line 452, in dispatch
    handler['func'](session, stanza)
  File "/usr/share/gajim/src/common/connection_handlers.py", line 1619, in _messageCB
    jid, invite, tim)
  File "/usr/share/gajim/src/common/connection_handlers.py", line 1627, in _on_message_decrypted
    self.dispatch_gc_message(msg, frm, msgtxt, jid, tim)
  File "/usr/share/gajim/src/common/connection_handlers.py", line 1759, in dispatch_gc_message
    msg.getXHTML(), statusCode, displaymarking, captcha))
  File "/usr/share/gajim/src/common/connection.py", line 177, in dispatch
    gajim.ged.raise_event(event, self.name, data)
  File "/usr/share/gajim/src/common/ged.py", line 67, in raise_event
    handler(*args, **kwargs)
  File "/usr/share/gajim/src/gui_interface.py", line 988, in handle_event_gc_msg
    displaymarking=array[6], captcha=array[7])
  File "/usr/share/gajim/src/groupchat_control.py", line 859, in on_message
    self.print_old_conversation(msg, nick, tim, None, displaymarking=displaymarking)
  File "/usr/share/gajim/src/groupchat_control.py", line 931, in print_old_conversation
    displaymarking=displaymarking)
  File "/usr/share/gajim/src/chat_control.py", line 846, in print_conversation_line
    displaymarking=displaymarking)
  File "/usr/share/gajim/src/conversation_textview.py", line 1237, in print_conversation_line
    timestamp_str = self.get_time_to_show(tim)
  File "/usr/share/gajim/src/conversation_textview.py", line 1310, in get_time_to_show
    diff_day, {'nb_days': diff_day}, {'nb_days': diff_day})
  File "/usr/share/gajim/src/common/i18n.py", line 101, in ngettext
    text = text % replace_plural
TypeError: %d format: a number is required, not dict

I think the fix should be : 
https://trac.gajim.org/changeset?reponame=&new=d7429cc0a6059317c282ce0f5222edd69fd8515f%40src%2Fconversation_textview.py&old=fdea02d5030aff8a60b1bd01230a7d13d342da20%40src%2Fconversation_textview.py

I didn't test the patch however.

Comment 1 Fedora Update System 2011-11-02 00:41:15 UTC
gajim-0.15-0.1.beta2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gajim-0.15-0.1.beta2.fc16

Comment 2 Fedora Update System 2011-11-02 17:56:32 UTC
Package gajim-0.15-0.1.beta2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gajim-0.15-0.1.beta2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15286
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-12-22 22:43:49 UTC
Package gajim-0.15-0.2.beta3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gajim-0.15-0.2.beta3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15286/gajim-0.15-0.2.beta3.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-01-28 03:28:57 UTC
Package gajim-0.15-0.4.beta4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gajim-0.15-0.4.beta4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15286/gajim-0.15-0.4.beta4.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-03-21 02:36:23 UTC
Package gajim-0.15-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gajim-0.15-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15286/gajim-0.15-1.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-03-26 03:58:50 UTC
gajim-0.15-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-03-26 17:56:22 UTC
gajim-0.15-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.